Supercheck LogoSupercheck
Organizations API

Get organization deletion state

GET
/api/organizations/{id}/deletion

Any member. The deletion state shown by the pending-deletion banner and the delete dialog. Non-members receive 404. Requires an interactive browser session; project-scoped CLI tokens receive 403.

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

Interactive Better Auth browser session. Secure deployments may use the __Secure- cookie prefix.

Path Parameters

id*string
Formatuuid

Response Body

Deletion state

application/json
  1. response
success?boolean
deletion?
Example Request
curl -X GET 'https://app.supercheck.io/api/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/deletion'
Example Response
{  "success": true,  "deletion": {    "pending": true,    "requestedAt": "2019-08-24T14:15:22Z",    "purgeAfter": "2019-08-24T14:15:22Z",    "canCancel": true,    "purge": {      "state": "string",      "phase": "string"    },    "graceDays": 0,    "emailAvailable": true,    "selfHosted": true,    "hasSubscription": true,    "reauthMaxAgeSeconds": 0  }}